<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Creating a new beer</title>
</head>
<body>

<ul>
    <li>
        <a href="#" th:href="@{/beers}">See all beers</a>
    </li>
    <li>
        <a href="#" th:href="@{/beers/new}">Create new beer</a>
    </li>
</ul>

<form action="#" th:action="@{/beers/new}"
      th:object="${beer}" method="post">

    <br>
    <label th:text="#{beer.header.name}">Beer name:</label>
    <input type="text" th:field="*{name}"/>
    <label style="color: red" th:errors="*{name}">name error</label>

    <br><br/>
    <label th:text="#{beer.header.ABV}">Beer ABV:</label>
    <input type="text" th:field="*{ABV}"/>
    <label style="color: red" th:errors="*{ABV}"
           th:text="#{newBeer.invalidABV.ABV}">ABV error</label>
    <br/><br/>
    <label th:text="#{beer.header.description}">Beer ABV:</label>
    <input type="text" th:field="*{description}"/>
    <label style="color: red" th:errors="*{description}"
           th:text="#{newBeer.invalidDescription.Description}">ABV error</label>
    <br/><br/>
    <label th:text="#{beer.header.country}">Country</label>
    <select class="form-control" th:field="*{country.id}" >
        <option th:each="country : ${countries}"
                th:value="${country.id}"
                th:text="${country.country}">
        </option>
    </select>
    <br/><br/>
    <label th:text="#{beer.header.country}">Country</label>
    <select class="form-control" th:field="*{brewery.id}" >
        <option th:each="brewery : ${breweries}"
                th:value="${brewery.id}"
                th:text="${brewery.brewery}">
        </option>
    </select>
    <br/><br/>
    <label th:text="#{beer.header.country}">Country</label>
    <select class="form-control" th:field="*{style.id}" >
        <option th:each="style : ${styles}"
                th:value="${style.id}"
                th:text="${style.style}">
        </option>
    </select>
    <br/><br/>
    <label>Beer picture:</label>
    <input type="text" th:field="*{picture}"/>
    <label style="color: red" th:errors="*{picture}">name error</label>
    <br/><br/>

    <input type="submit" value="Save"/>

</form>
</body>
</html>
